1. Embed
Placewise Member IdP
  • Overview
    • Introduction
    • OpenID Connect
      • Overview
      • Issuer and Discovery URL
    • Usage of member tokens
      • Usage of Placewise API in context of member
      • ID token
      • Fetching token to embed an application
    • Customizing the experience
      • Configuration of UI, Social Logins and Messages (emails/smses)
      • Optional parameters available during authorization
  • Reference
    • OIDC
      • WellKnown::Jwk
        • index
      • WellKnown::OpenidConfiguration
        • show
      • Authorization
        • create
        • create
      • Token
        • revoke
        • create
      • Session
        • destroy
      • Userinfo
        • show
      • Embed
        • Create token
          POST
  1. Embed

Create token

POST
/v1/oidc/embed/tokens

Request

Header Params

Body Params application/x-www-form-urlencoded

Responses

🟢200OK
application/json
revokes previous token
Bodyapplication/json

🟠400Bad Request
🟠401Unauthorized
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/v1/oidc/embed/tokens' \
--header 'Authorization: Bearer member_access_token' \
--data-urlencode 'client_id=' \
--data-urlencode 'client_secret=' \
--data-urlencode 'resource='
Response Response Example
200 - Success
{
    "token": "incididunt",
    "expires_in": 30
}
Modified at 2026-07-08 13:56:09
Previous
show
Built with